using Newtonsoft.Json;
using OF_DL.Models.Dtos.Common;

namespace OF_DL.Models.Dtos.Archived;

public class ArchivedDto
{
    [JsonProperty("list")] public List<ListItemDto> List { get; set; } = [];

    [JsonProperty("hasMore")] public bool HasMore { get; set; }

    [JsonProperty("headMarker")] public string HeadMarker { get; set; } = "";

    [JsonProperty("tailMarker")] public string TailMarker { get; set; } = "";

    [JsonProperty("counters")] public CountersDto Counters { get; set; } = new();
}
